# The cosmic_shapes project

This repository provides shape analysis tools for cosmological simulations (and beyond). Its features include

- iterative shell-based shape determination algorithm for high-resolution halos/galaxies
- iterative ellipsoid-based shape determination algorithm for low-resolution halos/galaxies
- overall point cloud shape determination, shape profiles determination, velocity dispersion tensor eigenaxes determination
- wrapper to the Amiga Halo Finder (AHF) via `pynbody` to identify halos in a cosmological simulation
- mock point cloud generator
- mock log-normal universe generator
- example scripts.

The documentation can be found [here](https://cosmic-shapes.readthedocs.io/en/latest/index.html).

Contributions are welcome. Please raise a PR. Comments/recommendations/complaints can be sent [here](mailto:tibor.doeme@gmail.com).
